Skip to main content
`Ctrl`+`K`

# DMGetAuxiliaryLabels

Get the labels, values, and parts for all auxiliary vectors in this `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetAuxiliaryLabels(DM dm, DMLabel labels[], PetscInt values[], PetscInt parts[])

Not Collective

## Input Parameter

- dm - The `DM`

## Output Parameters

- labels - The `DMLabel`s for each `Vec`

- values - The label values for each `Vec`

- parts - The equation parts for each `Vec`

## Note

The arrays passed in must be at least as large as `DMGetNumAuxiliaryVec()`.

## See Also

DM Basics, `DM`, `DMClearAuxiliaryVec()`, `DMGetNumAuxiliaryVec()`, `DMGetAuxiliaryVec()`, `DMSetAuxiliaryVec()`, `DMCopyAuxiliaryVec()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages